%global sum     Program to solve mathematical puzzles

Name:           kitsune
Version:        3.0
Release:        %mkrel 7
Summary:        %{sum}
Group:          Games/Puzzles
License:        GPLv2+
URL:            http://kitsune.tuxfamily.org/wiki/doku.php
Source0:        http://download.tuxfamily.org/kitsune/%{name}%{version}/%{name}%{version}.tar.gz
Source1:        kitsune-de.ts
Patch0:         kitsune-3.0-mga-manage-translations.patch

BuildRequires:  icoutils
BuildRequires:  qt4-devel

%description
Kitsune is a software aiming at solving digit problems of a famous
television game show called "Countdown" in England and "Des chiffres
et des lettres" in France.

It enables you to solve a problem of your choice, or to train yourself
with random problems. Facing a problem, Kitsune will find all the different
solutions: if the problem is solvable, this software will put up all the
ways to reach the target. If the problem is not solvable, it will put up
the best approximations. 

%prep
%setup -q -n %{name}%{version}
%autopatch -p1

# German translation seems to be missing from the source tarball
cp %{_sourcedir}/%{name}-de.ts txt/de/%{name}.ts

%build
lrelease kitsune.pro
%qmake_qt4
%make

%install
# Install binary
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 bin/kitsune %{buildroot}%{_gamesbindir}

# Extract and install icon
for size in 16 32 48; do
  install -d %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/
  icotool -x --width=${size} appliwin.ico -o %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

# Remove translation source files from doc, and all pt content
find -name "*.ts" -delete
rm txt/pt -rf

# Mageia menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Kitsune
Comment=%{sum}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF

%files
%doc Changelog.txt txt/*
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Apr 15 2020 danf <danf> 3.0-7.mga8
+ Revision: 1567468
- Fix Comment= in .desktop file to stop referring to debug sources

* Thu Feb 13 2020 umeabot <umeabot> 3.0-6.mga8
+ Revision: 1513745
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.0-5.mga7
+ Revision: 1298566
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 3.0-4.mga6
+ Revision: 943142
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0-3.mga5
+ Revision: 748432
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0-2.mga5
+ Revision: 681100
- Mageia 5 Mass Rebuild

* Thu May 01 2014 akien <akien> 3.0-1.mga5
+ Revision: 619345
- imported package kitsune

